# na_cdot_volume – Manage NetApp cDOT volumes

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | Updated modules released with increased functionality
Alternative: | Use na_ontap_volume instead.

## Synopsis

- Create or destroy volumes on NetApp cDOT

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3
- Ansible 2.2
- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate_name - |  | The name of the aggregate the flexvol should exist on. Required when `state=present`.
export_policy - added in 2.6 | Default: "default" | Export policy to set for the specified junction path.
hostname - / required |  | The hostname or IP address of the ONTAP instance.

infinite
boolean

Choices:
- no ←
- yes

Set True if the volume is an Infinite Volume.

junction_path - added in 2.6 |  | Junction path where to mount the volume
name - / required |  | The name of the volume to manage.

online
boolean

Choices:
- no
- yes ←

Whether the specified volume is online, or not.

password - / required |  | Password for the specified user. aliases: pass
size - |  | The size of the volume in (size_unit). Required when `state=present`.

size_unit
-

Choices:
- bytes
- b
- kb
- mb
- gb ←
- tb
- pb
- eb
- zb
- yb

The unit used to interpret the size parameter.

snapshot_policy - added in 2.6 | Default: "default" | Snapshot policy to set for the specified volume.

state
- / required

Choices:
- present
- absent

Whether the specified volume should exist or not.

username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user
vserver - / required |  | Name of the vserver to use.

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Create FlexVol
      na_cdot_volume:
        state: present
        name: ansibleVolume
        infinite: False
        aggregate_name: aggr1
        size: 20
        size_unit: mb
        vserver: ansibleVServer
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"
        junction_path: /ansibleVolume
        export_policy: all_nfs_networks
        snapshot_policy: daily

    - name: Make FlexVol offline
      na_cdot_volume:
        state: present
        name: ansibleVolume
        infinite: False
        online: False
        vserver: ansibleVServer
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.